<bugID>853463<Summary>Download statusbar add-on continues downloading files from Normal Browsing to Private Broswing</Summary><Description>Reproducible on:
Firefox 20.0 beta 6 (20130320062118): Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:20.0) Gecko/20100101 Firefox/20.0
Latest Aurora (20130321042014): Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:21.0) Gecko/20130321 Firefox/21.0
Latest Nightly (20130321030940): Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:22.0) Gecko/20130321 Firefox/22.0

Add-on version 0.9.10

Steps to reproduce:
1. Open new profile and install Download Statusbar add-on from here: https://addons.mozilla.org/en-US/firefox/addon/download-statusbar/?src=hp-dl-mostpopular
2. Start downloading some large files (e.g. Ubuntu Desktop http://www.ubuntu.com/download/desktop/thank-you?release=latest&amp;bits=32&amp;distro=desktop&amp;status=zeroc)
3. While files are downloading, and their status is shown with this add-on at the bottom of the page, go to Menu &gt;Preferences &gt;Privacy &gt;Firefox will: Never remember history &gt;Click Ok when asked to enter in Permanent Private Browsing

Expected result:
When in Permanent Private Browsing downloads from Normal Browsing should be stopped.

Actual result:
Downloads from Normal Browsing are still running with this add-on installed.

Notes:
Searching for a regression range.</Description></bugID>